/*
   File:        dcubes.h
   Author(s):   Moore
   Created:     Thu Oct 23 12:53:15 EDT 2003
   Description: Array of Dcubes
   Copyright (c) Carnegie Mellon University
*/

#ifndef dcubes_H
#define dcubes_H

#include "genarray.h"
#include "dcube.h"

typedef struct dcubes
{
  generic_array *genarr;
} dcubes;

dcubes *mk_empty_dcubes();

void add_to_dcubes(dcubes *array,dcube *element);

void add_pointer_to_dcubes(dcubes *array,dcube *element);

int dcubes_size(dcubes *array);

dcube *dcubes_ref(dcubes *array,int index);
  
void dcubes_set(dcubes *array,int index,dcube *item);

void fprintf_dcubes(FILE *s,char *m1,dcubes *array,char *m2);

void pdcubes(dcubes *array);

void free_dcubes(dcubes *array);

dcubes *mk_copy_dcubes(dcubes *array);


#endif /* ifndef dcubes_H */
